date: 2006-07-05 20:27:47
isfamily: 1
isfriend: 1
source: http://farm1.static.flickr.com/66/202895555_0c963fe7b0_o.jpg
tags: people, bands, XP8, Cimeries, Marko Resurreccion, highlights, showcase, Dead Channel
title: Marko & Vlad
url: http://www.flickr.com/photos/umonkey/202895555/
---
Photo courtesy of Paul Toohil.

&quot;So, time for some faces. So far in the story we have talked about Vlad, otherwise known as Spiderman, and here he is&quot;